<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_9f55fef472b741cb222ce4503e90" . "012a" => base64_decode("cHViX3" . "BhZ2U="), "_0c5123aa744f69bbc0e8b3" . "ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_bdf46cfa1aba0af38c9a9fa98dfd" . "831b" => base64_decode("YXBwX3B1Ymxpc2" . "g="), "_1be4a86ec54058894c0d" . "c8eeb44bf65a" => base64_decode("Y29tbW9uLnR5cGUucHViX3B" . "hZ2Vz"));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_9f55fef472b741cb222ce450" . "3e90012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_1be4a86ec54058894c0dc" . "8eeb44bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_bdf46cfa1aba0af38c9a9f" . "a98dfd831b"];
    }
}